Package org.apache.tomcat.websocket

## Class DigestAuthenticator

- java.lang.Object
- - org.apache.tomcat.websocket.Authenticator
  - - org.apache.tomcat.websocket.DigestAuthenticator

    public class DigestAuthenticator
    extends Authenticator

Authenticator supporting the DIGEST authentication method.

### Field Summary

Fields
`static String` `schemeName`

### Constructor Summary

Constructors
`DigestAuthenticator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getAuthorization​(String requestUri, String authenticateHeader, String userName, String userPassword, String userRealm)` Generate the authorization header value that will be sent to the server.
`String` `getSchemeName()` Get the authentication method.

### Methods inherited from class org.apache.tomcat.websocket.Authenticator

`parseAuthenticateHeader, validatePassword, validateRealm, validateUsername`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### schemeName

    public static final String schemeName

See Also:
  Constant Field Values

### Constructor Detail

#### DigestAuthenticator

    public DigestAuthenticator()

### Method Detail

#### getAuthorization

    public String getAuthorization​(String requestUri,
                                   String authenticateHeader,
                                   String userName,
                                   String userPassword,
                                   String userRealm)
                            throws AuthenticationException

Description copied from class: `Authenticator`
Generate the authorization header value that will be sent to the server.

Specified by:
  `getAuthorization` in class `Authenticator`
Parameters:
  `requestUri` - The request URI
  `authenticateHeader` - The server authentication header received
  `userName` - The user name
  `userPassword` - The user password
  `userRealm` - The realm for which the provided user name and password are valid. `null` to indicate all realms.
Returns:
  The generated authorization header value
Throws:
  `AuthenticationException` - When an error occurs

#### getSchemeName

    public String getSchemeName()

Description copied from class: `Authenticator`
Get the authentication method.

Specified by:
  `getSchemeName` in class `Authenticator`
Returns:
  the authentication scheme